Торговое Финансирование. Гарантии бенефициара

OpenAPI 1.0.0

API для получения информации по выпущенным гарантиям в кабинете бенефициара

Скачать исходную спецификацию

Варианты

  • Паблик

Операции API

POST /v1/beneficiary/guarantees — Получение банковских гарантий по фильтру

{
  "tags": [
    "Guarantee Beneficiary"
  ],
  "summary": "Получение банковских гарантий по фильтру",
  "operationId": "searchByFilter",
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/GuaranteeBeneficiaryFilterRequest"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/GuaranteeBeneficiaryResponse"
          },
          "examples": {
            "simple": {
              "summary": "Список гарантий по фильтру",
              "description": "Возвращает список гарантий по указанному фильтру",
              "value": {
                "offset": 0,
                "limit": 20,
                "totalCount": 35,
                "data": [
                  {
                    "id": 12345,
                    "number": "70690/GI/250911",
                    "status": "ACTIVE",
                    "statusName": "Действует",
                    "issueDate": "2025-09-11",
                    "endDate": "2027-10-21",
                    "amount": 10115,
                    "currency": "EUR",
                    "guaranteeTypeName": "Гарантия возврата аванса"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "400": {
      "$ref": "#/components/responses/BadRequest"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/Forbidden"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    },
    "422": {
      "$ref": "#/components/responses/UnprocessableEntity"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "parameters": [
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    }
  ]
}

GET /v1/beneficiary/guarantees/{id} — Получение банковской гарантии по id гарантии

{
  "tags": [
    "Guarantee Beneficiary"
  ],
  "summary": "Получение банковской гарантии по id гарантии",
  "operationId": "findById",
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "required": true,
      "explode": false,
      "schema": {
        "type": "integer",
        "format": "int64"
      },
      "example": 23456
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/GuaranteeBeneficiaryDto"
          },
          "examples": {
            "simple": {
              "summary": "Гарантия по идентификатору",
              "description": "Возвращает информацию о гарантии по указанному идентификатору",
              "value": {
                "id": 12345,
                "number": "70690/GI/250911",
                "status": "ACTIVE",
                "statusName": "Действует",
                "issueDate": "2025-09-11",
                "endDate": "2027-10-21",
                "amount": 10115,
                "currency": "EUR",
                "guaranteeTypeName": "Гарантия возврата аванса"
              }
            }
          }
        }
      }
    },
    "400": {
      "$ref": "#/components/responses/BadRequest"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/Forbidden"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    },
    "422": {
      "$ref": "#/components/responses/UnprocessableEntity"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  }
}

GET /v1/beneficiary/guarantees/renunciations/{id} — Получение отказа от прав по банковской гарантии по id отказа

{
  "tags": [
    "Guarantee Renunciation"
  ],
  "summary": "Получение отказа от прав по банковской гарантии по id отказа",
  "operationId": "findById_1",
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "required": true,
      "explode": false,
      "schema": {
        "type": "integer",
        "format": "int64"
      },
      "example": 23456
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/GuaranteeRenunciationDto"
          },
          "examples": {
            "simple": {
              "summary": "Отказ гарантии по идентификатору",
              "description": "Возвращает информацию об отказе гарантии по указанному идентификатору",
              "value": {
                "id": 23456,
                "number": "70690/GI/250911",
                "status": "ACTIVE",
                "statusName": "Действует",
                "issueDate": "2025-09-11",
                "endDate": "2027-10-21",
                "amount": 10115,
                "currency": "EUR",
                "guaranteeTypeName": "Гарантия возврата аванса"
              }
            }
          }
        }
      }
    },
    "400": {
      "$ref": "#/components/responses/BadRequest"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/Forbidden"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    },
    "422": {
      "$ref": "#/components/responses/UnprocessableEntity"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  }
}

GET /v1/beneficiary/guarantees/renunciations/{id}/print-form — Сгенерировать печатную форму

{
  "tags": [
    "Guarantee Renunciation Forms"
  ],
  "summary": "Сгенерировать печатную форму",
  "operationId": "getPrintForm",
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "required": true,
      "explode": false,
      "schema": {
        "type": "integer",
        "format": "int64"
      },
      "example": 23456
    },
    {
      "name": "Accept-Language",
      "in": "header",
      "required": true,
      "explode": false,
      "schema": {
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/octet-stream": {
          "schema": {
            "type": "string",
            "format": "binary"
          },
          "examples": {
            "simple": {
              "summary": "Печатная форма отказа гарантии",
              "description": "Возвращает печатную форму отказа гарантии в формате PDF",
              "value": "<binary data>"
            }
          }
        }
      }
    },
    "400": {
      "$ref": "#/components/responses/BadRequest"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/Forbidden"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    },
    "422": {
      "$ref": "#/components/responses/UnprocessableEntity"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  }
}

GET /v1/beneficiary/guarantees/{id}/renunciations/ — Получение отказов от прав по id гарантии

{
  "tags": [
    "Guarantee Renunciation"
  ],
  "summary": "Получение отказов от прав по id гарантии",
  "operationId": "getRenunciationsByGuaranteeId",
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "required": true,
      "explode": false,
      "schema": {
        "type": "integer",
        "format": "int64"
      },
      "example": 12345
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/GuaranteeRenunciationDto"
            }
          },
          "examples": {
            "simple": {
              "summary": "Список отказов гарантии по идентификатору гарантии",
              "description": "Возвращает список отказов гарантии по указанному идентификатору гарантии",
              "value": [
                {
                  "id": 23456,
                  "number": "70690/GI/250911",
                  "status": "ACTIVE",
                  "statusName": "Действует",
                  "issueDate": "2025-09-11",
                  "endDate": "2027-10-21",
                  "amount": 10115,
                  "currency": "EUR",
                  "guaranteeTypeName": "Гарантия возврата аванса"
                }
              ]
            }
          }
        }
      }
    },
    "400": {
      "$ref": "#/components/responses/BadRequest"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/Forbidden"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    },
    "422": {
      "$ref": "#/components/responses/UnprocessableEntity"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  }
}

GET /v1/beneficiary/guarantees/renunciations/count — Получение количества отказов для текущих организаций

{
  "tags": [
    "Guarantee Renunciation"
  ],
  "summary": "Получение количества отказов для текущих организаций",
  "operationId": "count_1",
  "parameters": [
    {
      "name": "cnums",
      "in": "query",
      "required": true,
      "explode": true,
      "schema": {
        "type": "array",
        "items": {
          "type": "string"
        }
      },
      "example": [
        "407016"
      ]
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/TfoCounterResult"
          },
          "examples": {
            "simple": {
              "summary": "Количество отказов гарантий",
              "description": "Возвращает количество отказов гарантий для указанных CNUM",
              "value": {
                "count": 35
              }
            }
          }
        }
      }
    },
    "400": {
      "$ref": "#/components/responses/BadRequest"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/Forbidden"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    },
    "422": {
      "$ref": "#/components/responses/UnprocessableEntity"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  }
}

GET /v1/beneficiary/guarantees/renunciations/{id}/statuses — Получение истории изменения статусов отказа от прав

{
  "tags": [
    "Guarantee Renunciation"
  ],
  "summary": "Получение истории изменения статусов отказа от прав",
  "operationId": "getStatusHistory",
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "required": true,
      "explode": false,
      "schema": {
        "type": "integer",
        "format": "int64"
      },
      "example": 23456
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/StatusHistoryResponse"
          },
          "examples": {
            "simple": {
              "summary": "История статусов отказа гарантии",
              "description": "Возвращает историю статусов отказа гарантии по указанному идентификатору",
              "value": {
                "statuses": [
                  {
                    "status": "DRAFT",
                    "statusName": "Черновик",
                    "date": "2025-09-11T10:00:00.000+00:00",
                    "userName": "Иванов И.И."
                  },
                  {
                    "status": "CONFIRMED",
                    "statusName": "Подтвержден",
                    "date": "2025-09-11T11:00:00.000+00:00",
                    "userName": "Иванов И.И."
                  }
                ]
              }
            }
          }
        }
      }
    },
    "400": {
      "$ref": "#/components/responses/BadRequest"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/Forbidden"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    },
    "422": {
      "$ref": "#/components/responses/UnprocessableEntity"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  }
}

Схемы и примеры

{
  "schemas": {
    "ErrorResponseDto": {
      "required": [
        "errors"
      ],
      "type": "object",
      "properties": {
        "errors": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/ErrorResponseItemDto"
          }
        }
      }
    },
    "ErrorResponseItemDto": {
      "required": [
        "code",
        "detail",
        "id"
      ],
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "detail": {
          "type": "string"
        },
        "meta": {
          "type": "object"
        },
        "id": {
          "type": "string"
        },
        "source": {
          "$ref": "#/components/schemas/ErrorSource"
        }
      }
    },
    "ErrorSource": {
      "required": [
        "pointer"
      ],
      "type": "object",
      "properties": {
        "pointer": {
          "type": "string"
        }
      }
    },
    "ActionDto": {
      "required": [
        "actionType",
        "permissionType"
      ],
      "type": "object",
      "properties": {
        "actionType": {
          "type": "string",
          "example": "EDIT"
        },
        "permissionType": {
          "$ref": "#/components/schemas/PermissionType"
        }
      }
    },
    "GuaranteeRenunciationDto": {
      "required": [
        "id"
      ],
      "type": "object",
      "properties": {
        "id": {
          "type": "integer",
          "format": "int64",
          "example": 23456
        },
        "guaranteeId": {
          "type": "integer",
          "format": "int64",
          "example": 22799
        },
        "number": {
          "type": "string",
          "example": "70669/GI/250911"
        },
        "amount": {
          "type": "number",
          "example": 10000000
        },
        "amountOutstanding": {
          "type": "number",
          "example": 5000000
        },
        "currency": {
          "type": "string",
          "example": "RUR"
        },
        "currencyOutstanding": {
          "type": "string",
          "example": "RUR"
        },
        "date": {
          "type": "string",
          "format": "date",
          "example": "2025-09-11"
        },
        "status": {
          "$ref": "#/components/schemas/RenunciationStatus"
        },
        "type": {
          "$ref": "#/components/schemas/RenunciationType"
        },
        "reason": {
          "$ref": "#/components/schemas/RenunciationReason"
        },
        "cnum": {
          "type": "string",
          "example": "407016"
        },
        "version": {
          "type": "integer",
          "format": "int64",
          "example": 1
        },
        "beneficiary": {
          "type": "string",
          "example": "АО \"ТЕСТ-КОНСАЛТИНГ\""
        },
        "createdDate": {
          "type": "string",
          "format": "date-time",
          "example": "2025-09-11T10:00:00Z"
        },
        "availableActions": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/ActionDto"
          }
        }
      }
    },
    "GuaranteeBeneficiaryFilterRequest": {
      "type": "object",
      "properties": {
        "filter": {
          "$ref": "#/components/schemas/GuaranteeFilterDto"
        },
        "paging": {
          "$ref": "#/components/schemas/Paging"
        },
        "order": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/Order"
          }
        }
      }
    },
    "GuaranteeFilterDto": {
      "type": "object",
      "properties": {
        "beneficiaryCnum": {
          "type": "array",
          "description": "CNUM бенефициара",
          "items": {
            "type": "string",
            "description": "CNUM бенефициара",
            "example": "407016"
          }
        },
        "guaranteeNumber": {
          "type": "string",
          "description": "Номер гарантии",
          "example": "70669/GI/250911"
        },
        "statusTFO": {
          "type": "array",
          "description": "Статус гарантии",
          "items": {
            "type": "string",
            "description": "Статус гарантии",
            "example": "ACTIVE"
          }
        },
        "issueDate": {
          "$ref": "#/components/schemas/RangeDtoLocalDate"
        },
        "expiryDate": {
          "$ref": "#/components/schemas/RangeDtoLocalDate"
        },
        "amount": {
          "$ref": "#/components/schemas/RangeDtoBigDecimal"
        },
        "currency": {
          "type": "array",
          "description": "Код валюты",
          "items": {
            "type": "string",
            "description": "Код валюты",
            "example": "RUR"
          }
        },
        "guaranteeType": {
          "type": "array",
          "description": "Код типа гарантии",
          "items": {
            "type": "string",
            "description": "Код типа гарантии",
            "example": "tax"
          }
        },
        "principal": {
          "$ref": "#/components/schemas/Principal"
        }
      }
    },
    "Paging": {
      "required": [
        "limit",
        "offset"
      ],
      "properties": {
        "offset": {
          "type": "integer",
          "format": "int32",
          "example": 60
        },
        "limit": {
          "type": "integer",
          "format": "int32",
          "example": 20
        }
      }
    },
    "Order": {
      "required": [
        "sortBy"
      ],
      "properties": {
        "priority": {
          "type": "integer",
          "format": "int32",
          "example": 1
        },
        "sortBy": {
          "type": "string",
          "example": "number"
        },
        "orderBy": {
          "$ref": "#/components/schemas/SortDirection"
        }
      }
    },
    "SortDirection": {
      "type": "string",
      "enum": [
        "ASC",
        "DESC"
      ]
    },
    "Principal": {
      "type": "object",
      "properties": {
        "shortName": {
          "type": "string",
          "description": "Наименование принципала",
          "example": "ООО \"ТЕСТ-ТЕХНОЛОГИИ ПЛЮС\""
        },
        "cnum": {
          "type": "string",
          "description": "CNUM принципала",
          "example": "Z55687"
        },
        "inn": {
          "type": "string",
          "description": "ИНН принципала",
          "example": "7712345678"
        }
      },
      "description": "CNUM принципала"
    },
    "RangeDtoBigDecimal": {
      "type": "object",
      "properties": {
        "from": {
          "type": "number",
          "description": "Начальное значение интервала",
          "example": 1000000
        },
        "to": {
          "type": "number",
          "description": "Конечное значение интервала",
          "example": 10000000
        }
      },
      "description": "Сумма гарантии, интервал"
    },
    "RangeDtoLocalDate": {
      "type": "object",
      "properties": {
        "from": {
          "type": "string",
          "format": "date",
          "example": "2025-09-01"
        },
        "to": {
          "type": "string",
          "format": "date",
          "example": "2025-09-30"
        }
      },
      "description": "Дата окончания действия гарантии"
    },
    "Beneficiary": {
      "type": "object",
      "properties": {
        "shortName": {
          "type": "string",
          "description": "Наименование бенефициара",
          "example": "АО \"ТЕСТ-КОНСАЛТИНГ\""
        },
        "cnum": {
          "type": "string",
          "description": "CNUM бенефициара",
          "example": "407016"
        },
        "inn": {
          "type": "string",
          "description": "ИНН бенефициара",
          "example": "7814987654"
        }
      }
    },
    "GuaranteeBeneficiaryDto": {
      "required": [
        "id"
      ],
      "type": "object",
      "properties": {
        "id": {
          "type": "integer",
          "format": "int64",
          "example": 22799
        },
        "guaranteeNumber": {
          "type": "string",
          "example": "70669/GI/250911"
        },
        "statusTFO": {
          "type": "string",
          "example": "ACTIVE"
        },
        "issueDate": {
          "type": "string",
          "format": "date",
          "example": "2025-09-11"
        },
        "expiryDate": {
          "type": "string",
          "format": "date",
          "example": "2025-09-30"
        },
        "amount": {
          "type": "number",
          "example": 10000000
        },
        "currency": {
          "type": "string",
          "example": "RUR"
        },
        "guaranteeType": {
          "type": "string",
          "example": "tax"
        },
        "principal": {
          "$ref": "#/components/schemas/Principal"
        },
        "beneficiaryCnum": {
          "type": "string",
          "example": "407016"
        },
        "beneficiary": {
          "$ref": "#/components/schemas/Beneficiary"
        }
      }
    },
    "GuaranteeBeneficiaryResponse": {
      "type": "object",
      "properties": {
        "data": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/GuaranteeBeneficiaryDto"
          }
        }
      },
      "allOf": [
        {
          "$ref": "#/components/schemas/Pagination"
        }
      ]
    },
    "Pagination": {
      "required": [
        "limit",
        "offset",
        "totalCount"
      ],
      "type": "object",
      "properties": {
        "offset": {
          "type": "integer",
          "format": "int32",
          "example": 0
        },
        "limit": {
          "type": "integer",
          "format": "int32",
          "example": 20
        },
        "totalCount": {
          "type": "integer",
          "format": "int64",
          "example": 35
        }
      }
    },
    "TfoCounterResult": {
      "required": [
        "count"
      ],
      "type": "object",
      "properties": {
        "count": {
          "type": "integer",
          "format": "int64",
          "example": 4243,
          "default": 0
        }
      }
    },
    "StatusChangeDto": {
      "required": [
        "applicationId",
        "changed",
        "clientName",
        "comment",
        "toStatus"
      ],
      "type": "object",
      "properties": {
        "applicationId": {
          "type": "integer",
          "description": "ID заявления",
          "format": "int64",
          "example": 23456
        },
        "toStatus": {
          "type": "string",
          "description": "Новый статус",
          "example": "APPROVED"
        },
        "comment": {
          "type": "string",
          "description": "Комментарий к действию",
          "example": "Заявление одобрено"
        },
        "clientName": {
          "type": "string",
          "description": "ФИО инициатора действия",
          "example": "John Doe"
        },
        "changed": {
          "type": "string",
          "format": "date-time",
          "example": "2025-09-11T10:00:00Z"
        }
      }
    },
    "StatusHistoryResponse": {
      "required": [
        "statuses"
      ],
      "type": "object",
      "properties": {
        "statuses": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/StatusChangeDto"
          }
        }
      }
    },
    "PermissionType": {
      "type": "string",
      "enum": [
        "ALLOWED",
        "DENIED"
      ]
    },
    "RenunciationStatus": {
      "type": "string",
      "enum": [
        "DRAFT",
        "ON_SIGN",
        "PARTIALLY_SIGNED",
        "SIGNED",
        "ON_PENDING_BANK",
        "BANK_PROCESSING",
        "APPROVED",
        "DECLINED",
        "DELETED"
      ]
    },
    "RenunciationType": {
      "type": "string",
      "enum": [
        "PARTLY",
        "FULL"
      ]
    },
    "RenunciationReason": {
      "type": "string",
      "enum": [
        "FULFILLMENT_OBLIGATION",
        "OTHER_OBLIGATION",
        "CONTRACT_TERMINATION"
      ]
    }
  },
  "responses": {
    "InternalServerError": {
      "description": "Internal Server Error",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponseDto"
          }
        }
      }
    },
    "BadRequest": {
      "description": "Bad Request",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponseDto"
          }
        }
      }
    },
    "UnprocessableEntity": {
      "description": "Unprocessable Entity",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponseDto"
          }
        }
      }
    },
    "NotFound": {
      "description": "Not Found",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponseDto"
          }
        }
      }
    },
    "Forbidden": {
      "description": "Forbidden",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponseDto"
          }
        }
      }
    },
    "Unauthorized": {
      "description": "Аутентификация не пройдена"
    },
    "InternalError": {
      "description": "Внутренняя ошибка"
    }
  },
  "parameters": {
    "IdTokenHeader": {
      "name": "Id-Token",
      "in": "header",
      "description": "Идентификационный токен пользователя",
      "required": true,
      "schema": {
        "type": "string",
        "format": "byte",
        "example": "SUQgVE9LRU4gRk9SIFRFU1RJTkc="
      }
    },
    "AuthorizationHeader": {
      "name": "Authorization",
      "in": "header",
      "description": "Токен доступа",
      "required": true,
      "schema": {
        "type": "string",
        "format": "byte",
        "example": "Bearer QXV0aG9yaXphdGlvbiBIZWFkZXIgRm9yIFRlc3Rpbmc="
      }
    }
  }
}